"$schema" = 'https://starship.rs/config-schema.json'

# Icons: https://www.nerdfonts.com/cheat-sheet
# ░▒▓   ▓▒░   

# ////////////////////////////////////////////////
# FORMAT
# ////////////////////////////////////////////////

# Left
format = """
[░▒▓](color_black2)\
$os\
$time\
[](fg:color_black2 bg:color_green)\
$hostname\
$localip\
[](fg:color_green bg:color_blue2)\
$username\
[](fg:color_blue2 bg:color_yellow)\
$shell\
$shlvl\
$sudo\
[](fg:color_yellow bg:color_red)\
$git_branch\
$git_status\
$package\
$docker_context\
[](fg:color_red bg:color_white3)\
$directory\
[](fg:color_white3)\
$line_break\
$character\
[](fg:color_fg)
"""

# Right
right_format = """$cmd_duration"""

# Empty line
add_newline = true

# ////////////////////////////////////////////////
# COLORS
# ////////////////////////////////////////////////

palette = 'arch_os'
# Pallete is redesigned for Pela from Honkai: Star Rail

# Nord: https://www.nordtheme.com
[palettes.arch_os]
color_fg = '#fefdff' # White, Default was #D8dee9
color_bg = '#302d2e' # Black, Default was #2e3440
color_red = '#f5e5ca' # Gold Accent (Arrow After Shell), Default was #bf616a
color_green = '#49a5f4' # Middle Blue (Connection space before User), Default was #a3be8c
color_purple = '#b48ead'
color_yellow = '#4f4582' # Hair (Shell Space), Default was #ebcb8b
color_orange = '#d08770'
color_white1 = '#eceff4'
color_white2 = '#e5e9f0'
color_white3 = '#302d3e' # Hat (Outer Edge), default was #d8dee9
color_black1 = '#2e3440'
color_black2 = '#5a4348' # Hosery (Time and Icons Space), default was #3b4252
color_black3 = '#434c5e'
color_black4 = '#4c566a'
color_blue1 = '#5e81ac'
color_blue2 = '#344D97' # Dark Blue (User Space), Default was #81a1c1
color_blue3 = '#88c0d0'
color_blue4 = '#8fbcbb'

# #49a5f4 Middle Blue (Common Blue)
# ------- #7af4f9 Light Blue (Accent Light) Don't Use
# #344d97 Dark Blue (Accent)
# #4f4582 Purple (Hair)
# #fefdff White (Suit Main)
# #f5e5ca Gold (Accent on Suit)
# #5a4348 Brown (Hosery, Beautiful Legs!!)
# #302d3e Black (Gloves and Hat)

# Will need to alter fg and bg usage to make sure everything is readable, good contrast
# Alter: Time text, Symbols text, Username Text, shell text, directory text
# Time: was #color_black2 (hosery), format was fg: color_white3 (hat), bg:color_black2 (hosery)
# Symbols (OS): was fg:color_white3 (hat) bg:color_black2 (hosery)
# Username Text: was fg:color_bg (Hat) bg:color_blue2 (Dark Blue)
# Shell: was "fg:color_bg (hat) bg:color_yellow (hair)"
# Directory: read_only_style = "fg:color_red (gold) bg:color_white3 (hat)" style = "fg:color_bg(hat) bg:color_white3 (hat)"




# ////////////////////////////////////////////////
# LINE BREAK (disabled)
# ////////////////////////////////////////////////

[line_break]
disabled = false # True = Disabled

[character]
disabled = false # True = Disabled
success_symbol = '[ % ](bold fg:color_green)'
error_symbol = '[ 🢂 ](bold fg:color_red)'
vimcmd_symbol = '[  ](bold fg:color_green)'
vimcmd_replace_one_symbol = '[  ](bold fg:color_purple)'
vimcmd_replace_symbol = '[  ](bold fg:color_purple)'
vimcmd_visual_symbol = '[  ](bold fg:color_yellow)'

# ////////////////////////////////////////////////
# MODULES LEFT
# ////////////////////////////////////////////////

[os]
disabled = false
style = "fg:color_fg bg:color_black2"
format = "[ $symbol ]($style)"

[os.symbols]
Arch = ""
Fedora = "⛨"

[time]
disabled = false
time_format = "%R" # Hour:Minute Format
style = "bg:color_black2"
format = '[[   $time ](fg:color_fg bg:color_black2)]($style)'

[hostname]
disabled = false
ssh_only = true
ssh_symbol =  " 󱘖 " # 󱘖    󰣀
style = "fg:color_bg bg:color_green"
format = '[$ssh_symbol]($style)[ 󰍹  $hostname ]($style)'

[localip]
disabled = false
ssh_only = true
style = "fg:color_bg bg:color_green"
format = '[ 󰩟 $localipv4 ]($style)'

[username]
disabled = false
show_always = true
style_user = "fg:color_fg bg:color_blue2"
style_root = "fg:color_red bg:color_blue2"
format = '[  ]($style)[$user ](fg:color_fg bg:color_blue2)'

[shell]
disabled = false
fish_indicator = ""
bash_indicator = "   bash "
unknown_indicator = "   shell "
style = "fg:color_fg bg:color_yellow"
format = "[ $indicator ]($style)"

[shlvl]
disabled = false
threshold = 2
symbol = ''
style = "fg:color_bg bg:color_yellow"
format = "[ $symbol $shlvl ]($style)"

[sudo]
disabled = false
symbol = '󰌆 '
style = "fg:color_red bg:color_yellow"
format = '[ $symbol ]($style)'

[git_branch]
symbol = ""
style = "bg:color_red"
format = '[[ $symbol $branch ](fg:color_fg bg:color_red)]($style)'

[git_status]
style = "bg:color_red"
format = '[[($all_status$ahead_behind )](fg:color_fg bg:color_red)]($style)'

[package]
format = '[  $version ](fg:color_fg bg:color_red)'

[docker_context]
symbol = ""
style = "bg:color_red"
format = '[[ $symbol( $context) ](fg:color_fg bg:color_red)]($style)'

[directory]
truncation_length = 4
truncation_symbol = "••/"
home_symbol = " "
read_only = "  "
read_only_style = "fg:color_red bg:color_white3"
style = "fg:color_fg bg:color_white3"
format = "[  ]($style)[$read_only]($read_only_style)[ $path ]($style)"


# ////////////////////////////////////////////////
# MODULES RIGHT
# ////////////////////////////////////////////////

[cmd_duration]
style = "fg:color_fg"
format = "[ ◄ $duration ]($style)"
